%global short_arch x64
%global app_contain_dir /opt
%global app_dir %{app_contain_dir}/%{name}
%global __requires_exclude ^libffmpeg\\.so.*$

Summary: JavaScript note-taking web application
Name: laverna
Version: 0.7.3
Release: 1%{?dist}
License: MPLv2.0
Group: Applications/Productivity
URL: https://github.com/Laverna/laverna
Source0: https://github.com/Laverna/laverna/releases/download/%{version}/%{name}-%{version}-%{_os}-%{short_arch}.zip
Source1: %{name}.desktop
#Provides: bundled(libffmpeg.so()(64bit)) = 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: x86_64

%description
Laverna is a JavaScript note-taking web application with a
 Markdown editor and encryption support. It's built to be 
an open source alternative to Evernote.

The application stores all your notes in your browser 
databases such as indexedDB or localStorage, which is good 
for security reasons, because only you have access to them.

%prep
%setup -q -c
cp %{SOURCE1} -t .

%build

%install
rm -rf $RPM_BUILD_ROOT
%define build_app_dir $RPM_BUILD_ROOT%{app_dir}
mkdir -p %{build_app_dir}
cp -r * -t %{build_app_dir}
cd %{build_app_dir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
rm LICENSE LICENSES.chromium.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
for size in 16 36 48 72 96 128
do
xdg-icon-resource install --noupdate --novendor --context apps --size $size --mode system %{app_dir}/resources/app/dist/images/icon/icon-${size}x${size}.png %{name}
done
gtk-update-icon-cache -tq %{_datadir}/icons/hicolor

%postun
for size in 16 36 48 72 96 128
do 
xdg-icon-resource uninstall --noupdate --context apps --mode system --size $size %{name}
done

%files
%defattr(-,root,root,-)
%dir %{app_dir}
%{app_dir}/*
%{_datadir}/applications/%{name}.desktop
%doc LICENSE LICENSES.chromium.html

%changelog
* Wed May  3 2017 khoa <ch@nkhoa.email> - 7.3.0
- Initial build.

